Package jakarta.el

## Class VariableMapper

- java.lang.Object
- - jakarta.el.VariableMapper

    public abstract class VariableMapper
    extends java.lang.Object

### Constructor Summary

Constructors
`VariableMapper()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract ValueExpression` `resolveVariable​(java.lang.String variable)`
`abstract ValueExpression` `setVariable​(java.lang.String variable, ValueExpression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VariableMapper

    public VariableMapper()

### Method Detail

#### resolveVariable

    public abstract ValueExpression resolveVariable​(java.lang.String variable)

#### setVariable

    public abstract ValueExpression setVariable​(java.lang.String variable,
                                                ValueExpression expression)